varying vec2 texturecoord;
uniform vec3 col;
uniform float fade;
uniform float sunrise;
uniform vec3 sunrisecolor;

void main(void)
{	
	vec3 c = col;

	float t = texturecoord.y;

	t = pow(t, 1.5);
	c *= sin(t*3.141592);
	c *= fade;
	c *= (1.0 - sunrise * 0.3);

	c += sunrisecolor * sunrise * t * 0.1;

	gl_FragColor = vec4(c, 0.4); 
}